@use 'sass/color';
@use 'sass/base';
.projectsContainer {
  padding: 20px 50px;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

.leftContainer {
  flex: 5;
  min-width: 35vh;
}

.option_select_formfield {
  z-index: 2;
}

.rightContainer {
  flex: 4;
}

.projectsMapContainer {
  height: 75vh;
  margin: 0 20px;
}

.projectsNewContainer {
  margin: 15px 20px 15px;
  display: flex;
}

.projectsNewContainer mat-icon {
  line-height: 0.9;
}

.projectsPermissionColorLegendWrapper {
  flex: 1 1 90%;
  display: flex;
  justify-content: flex-end;
}

.projectsPermissionColorLegend {
  display: flex;
  padding-top: 7px;
  margin-right: 10px;
}

.projectsPermissionColorLegend > div {
  margin: 0 3px;
  padding: 0 2px;
  border-top-width: 6px;
  border-top-style: solid;
  border-radius: 4px;
}

.projectsCardContainer {
  margin: 0 20px;
  margin-bottom: 30px;
}

.projectsCardHeader {
  font-weight: 500;
}

.projectsCardList {
  display: flex;
  flex-direction: column;
}

.privateProjectsCardWrapper {
  flex: 1 1;
  display: flex;
  flex-direction: row;
  margin-bottom: 5px;
  transition: all 0.4s ease 0s;
  cursor: default;
  border-left: 6px solid;
}

.privateProjectsCardWrapper:hover {
  //   background-color: mat-color(color.$primaryPalette, 50);
  background-color: mat-color(color.$mat-light-blue);
  margin-left: 5px;
  margin-right: 5px;
  transition: all 0.4s ease 0s;
  cursor: pointer;
}

.publicProjectsCardWrapper {
  flex: 1 1;
  display: flex;
  flex-direction: row;
  margin-bottom: 5px;
  transition: all 0.4s ease 0s;
  cursor: default;
  border-left: 6px solid;
}

.publicProjectsCardWrapper:hover {
  //   background-color: mat-color(color.$secondaryPalette, 50);
  background-color: mat-color(color.$green);
  margin-left: 5px;
  margin-right: 5px;
  transition: all 0.4s ease 0s;
  cursor: pointer;
}

.cardInkbarPrivate {
  //   border-color: mat-color(color.$primaryPalette, 500);
  border-color: mat-color(color.$card);
}

.cardInkbarPublic {
  //   border-color: mat-color(color.$secondaryPalette, 500);
  border-color: mat-color(color.$green);
}

.projectsCardIconWrapper {
  flex: 0 0 48px;
  margin-right: 15px;
}

.projectsCardIcon {
  width: 48px;
  height: 48px;
  border: 1px solid #000;
}

.projectsCardContentWrapper {
  flex: 1 1 50%;
  display: flex;
  flex-direction: column;
}

.projectsCardContent {
  display: flex;
  flex-wrap: wrap;
  height: 100%;
}

.projectsCardFooter {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  align-items: center;
}

.projectsCardFooter button {
  min-width: 1%;
  padding: 0 5px;
  margin-right: 8px;
}

.projectsCardFooter button:hover {
  background-color: #ddd;
}

.cardAlignRight {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  margin: 15px 0;
}

// project name
.projectsCardName {
  flex: 0 1 250px;
}

.projectsCardUsercount > span {
  position: relative;
  top: -7px;
  padding: 0 2px;
}

// progress bar
.projectsCardProgressWrapper {
  flex: 1 1 100px;
  position: relative;
  height: 35px;
}

.projectsCardProgress {
  height: 6px;
  top: 7px;
}

// Text under Progress Bar
.projectsCardStatus {
  position: absolute;
  text-align: center;
  width: 100%;
  top: 15px;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}

// right aligned area (creator, creation date, permission)
.projectsCardContentRight {
  flex: 1 1 1px;
  display: flex;
  justify-content: flex-start;
  flex-wrap: wrap;
}

.projectsCardCreatorWrapper {
  flex: 0 1 100%;
  display: flex;
  flex-direction: row;
}

.projectsCardCreatorIcon {
  margin-right: 5px;
  width: 20px;
  height: 20px;
}

.projectsCardCreatorInnerWrapper {
  flex: 1 1 90%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  margin-top: 10px;
}

.projectsCardCreatorAgency {
  font-size: 12px;
  opacity: 0.9;
}

.projectsCardCreatorDate {
  margin-top: 10px;
  display: flex;
  flex-direction: row;
  align-items: flex-end;
}

.projectsCardPermission {
  //color: rgba(0, 0, 0, 0.4);
  color: #bbb;
}

.projectsCardPermission mat-icon {
  //border: 1px solid rgba(0, 0, 0, 0.4);
  font-size: 16px;
  display: inline;
}

.iconPermissionLevel1 mat-icon:nth-child(1) svg {
  fill: #000000;
}

.iconPermissionLevel1 mat-icon:nth-child(2) svg,
.iconPermissionLevel1 mat-icon:nth-child(3) svg {
  //   fill: mat-contrast(color.$primaryPalette, 50);
  fill: mat-contrast(#e0ebed);
}

.iconPermissionLevel2 mat-icon:nth-child(1) svg,
.iconPermissionLevel2 mat-icon:nth-child(2) svg {
  fill: #000000;
}

.iconPermissionLevel2 mat-icon:nth-child(3) svg {
  //   fill: mat-contrast(color.$primaryPalette, 50);
  fill: mat-contrast(#e0ebed);
}

.iconPermissionLevel3 mat-icon:nth-child(1) svg,
.iconPermissionLevel3 mat-icon:nth-child(2) svg,
.iconPermissionLevel3 mat-icon:nth-child(3) svg {
  fill: #000000;
}

// map
.leaflet {
  height: 100%;
  z-index: 1;
}

// Add button
.floatingButton {
  position: fixed;
  bottom: 8vh;
  right: 8vh;
  z-index: 2;
}

.add-btn {
  display: inline-block;
  background: rgb(4, 84, 102, 1);
  text-decoration: none;
  width: 42px;
  height: 42px;
  margin: 24px 0;
  border-radius: 21px;
  cursor: pointer;
  overflow: hidden;
  white-space: nowrap;
  box-shadow: inset 0 4px 15px rgba(0, 0, 0, 0.2);
  position: relative;
  transition: all 350ms linear;
}

.add-btn:hover {
  width: 225px;
}

.add-btn.add-btn-hover::after,
.add-btn.add-btn-hover::before {
  content: '+';
  position: absolute;
  text-align: center;
  vertical-align: center;
  width: 100%;
  font-family: 'Roboto', sans-serif;
  color: #fff;
  font-weight: bold;
  //text-transform: uppercase;
  line-height: 42px;
  /* make a fixed line height */
  transition: all 350ms linear;
  top: 0;
}

.add-btn.add-btn-hover::after {
  font-size: 2.5em;
  animation-duration: 350ms;
}

.add-btn.add-btn-hover:hover::after {
  animation-name: out;
  top: -36px;
  opacity: 0;
  transform: rotate(180deg) translateZ(0);
}

.add-btn.add-btn-hover::before {
  content: attr(data-lang);
  opacity: 0;
  top: 36px;
}

.add-btn.add-btn-hover:hover::before {
  top: 0;
  opacity: 1;
}

// Animation for button on hover
@-webkit-keyframes in {
  from {
    -webkit-transform: rotate(0deg);
  }
  to {
    -webkit-transform: rotate(360deg);
  }
}

@-webkit-keyframes out {
  0% {
    -webkit-transform: rotate(360deg);
  }
  100% {
    -webkit-transform: rotate(0deg);
  }
}

// overwrites
// Progress Bar Background Color
.mat-progress-bar-buffer {
  background-color: #bbb !important;
}

.legendContainer {
  margin-right: 20px;
}

.propertyContainer {
  padding: 20px 20px;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

.leftPropertyContainer {
  flex: 1;
}

.rightPropertyContainer {
  flex: 1;
}

table {
  width: 100%;
}

.flex-checkbox {
  display: flex;
}

.filter-header {
  margin-top: 0;
}

.filter-row {
  padding-left: 20px;
}

.filter-box {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
}

.filter-select {
  width: 33%;
}

.iconMatRaisedButton {
  min-width: 40px !important;
  min-height: 40px !important;
  width: 40px;
  height: 40px;
  max-height: 40px !important;
  max-width: 40px !important;
  padding: 8px 5px !important;
}

.iconMatRaisedButton:only-child {
  width: 15px;
  height: 15px;
}

.option_select_formfield {
  padding-left: 30px;
  width: 80px;
}

.alignIconText {
  text-align: right;
}
